summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorStefan Husmann2016-01-17 15:36:11 +0100
committerStefan Husmann2016-01-17 15:36:11 +0100
commitcbf7a08bf141c789634c1e2896c460b085326155 (patch)
treed9b359fedc87b63ace9b8d1fc4c940b77a80e7fd
parent72ed3a344489d06340aa06d39d311b769a8aa033 (diff)
downloadaur-cbf7a08bf141c789634c1e2896c460b085326155.tar.gz
Adopted
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD52
2 files changed, 32 insertions, 34 deletions
diff --git a/.SRCINFO b/.SRCINFO
index fa2560fd22f..4d4f5aed342 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Sat Jan 16 09:55:29 UTC 2016
+# Sun Jan 17 14:36:11 UTC 2016
pkgbase = libcd
pkgdesc = Platform-independent graphics library
- pkgver = 5.8.2
- pkgrel = 2
+ pkgver = 5.9
+ pkgrel = 1
url = http://www.tecgraf.puc-rio.br/cd/
arch = i686
arch = x86_64
@@ -16,13 +16,13 @@ pkgbase = libcd
depends = libxmu
depends = pangox-compat
options = staticlibs
- source = http://downloads.sourceforge.net/project/canvasdraw/5.8.2/Docs%20and%20Sources/cd-5.8.2_Sources.tar.gz
- source = http://downloads.sourceforge.net/project/canvasdraw/5.8.2/Docs%20and%20Sources/cd-5.8.2_Docs.pdf
+ source = http://downloads.sourceforge.net/project/canvasdraw/5.9/Docs%20and%20Sources/cd-5.9_Sources.tar.gz
+ source = http://downloads.sourceforge.net/project/canvasdraw/5.9/Docs%20and%20Sources/cd-5.9_Docs.pdf
source = LICENSE
source = cdpdf.mak.patch
source = cdluaim5.patch
- md5sums = 0e78ee6eedfde1acca6cc5351ba4bb1d
- md5sums = 906e59f55fc48e3f4cd3c40582aea150
+ md5sums = 9a959d91c2165e382b552ecbebc9669d
+ md5sums = 11dfb228d3da8498ccd72a5da56ef6fa
md5sums = 3b326faf9f9ab35096453525b55bd8c8
md5sums = eec4463334ef927ed6c4ccb81086c6df
md5sums = ed8a4b981b24f38d82efd8aa5b3dea87
diff --git a/PKGBUILD b/PKGBUILD
index 6cb7aeb84c9..30c04e6ec00 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,15 +1,15 @@
# Original contributor: Karro <karolina.lindqvist@kramnet.se>
pkgname=libcd
-pkgver=5.8.2
-pkgrel=2
+pkgver=5.9
+pkgrel=1
pkgdesc="Platform-independent graphics library"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
url="http://www.tecgraf.puc-rio.br/cd/"
-depends=(ftgl libim pdflib-lite gtk2 libxmu pangox-compat)
-makedepends=(lua)
+depends=('ftgl' 'libim' 'pdflib-lite' 'gtk2' 'libxmu' 'pangox-compat')
+makedepends=('lua')
license=('custom')
-options=(staticlibs)
+options=('staticlibs')
source=(
"http://downloads.sourceforge.net/project/canvasdraw/${pkgver}/Docs%20and%20Sources/cd-${pkgver}_Sources.tar.gz"
@@ -18,34 +18,32 @@ source=(
cdpdf.mak.patch
cdluaim5.patch
)
+md5sums=('9a959d91c2165e382b552ecbebc9669d'
+ '11dfb228d3da8498ccd72a5da56ef6fa'
+ '3b326faf9f9ab35096453525b55bd8c8'
+ 'eec4463334ef927ed6c4ccb81086c6df'
+ 'ed8a4b981b24f38d82efd8aa5b3dea87')
-md5sums=(
- '0e78ee6eedfde1acca6cc5351ba4bb1d'
- '906e59f55fc48e3f4cd3c40582aea150'
- '3b326faf9f9ab35096453525b55bd8c8'
- 'eec4463334ef927ed6c4ccb81086c6df'
- 'ed8a4b981b24f38d82efd8aa5b3dea87'
-)
prepare() {
- cd $srcdir/cd
- patch -p0 <../../cdluaim5.patch || return 1
- cd $srcdir/cd/src
- patch -uN cdpdf.mak ../../cdpdf.mak.patch
+ cd "$srcdir"/cd
+ patch -p0 < "$srcdir"/cdluaim5.patch
+ cd "$srcdir"/cd/src
+ patch -uN cdpdf.mak "$srcdir"/cdpdf.mak.patch
}
build() {
- cd $srcdir/cd
- make -C src cd cdpdf cdgl cdlua5 cdluapdf5 cdluagl5 cdluaim5 || return 1
+ cd "$srcdir"/cd
+ make || true
}
package() {
- install -m755 -d $pkgdir/usr/lib
- install -m644 $srcdir/cd/lib/Linux*/* $pkgdir/usr/lib
- install -m755 -d $pkgdir/usr/share/$pkgname
- install -m644 $srcdir/cd-${pkgver}_Docs.pdf $pkgdir/usr/share/$pkgname
- install -m755 -d $pkgdir/usr/include/cd
- install -m644 $srcdir/cd/include/* $pkgdir/usr/include/cd
- mkdir -p $pkgdir/usr/share/licenses/$pkgname
- install -m644 $srcdir/LICENSE $pkgdir/usr/share/licenses/$pkgname
+ cd "$srcdir"/cd
+ install -m755 -d "$pkgdir"/usr/lib
+ install -m644 lib/L*/*.{a,so} "$pkgdir"/usr/lib
+ install -m755 -d "$pkgdir"/usr/share/$pkgname
+ install -m644 "$srcdir"/cd-${pkgver}_Docs.pdf "$pkgdir"/usr/share/$pkgname
+ install -m755 -d "$pkgdir"/usr/include/cd
+ install -m644 "$srcdir"/cd/include/* "$pkgdir"/usr/include/cd
+ install -Dm644 "$srcdir"/LICENSE "$pkgdir"/usr/share/licenses/$pkgname
}